<!DOCTYPE html>
<html>
<head>
<style>
  * {
  margin: 0;
  padding: 0;
  text-decoration: none;
  font-family: Arial, Helvetica, sans-serif;
}

.navbar {
  height: 3.8rem;
  background-color: white;
  padding-left: 3ch;
  padding-right: 3ch;
  display: flex;
  box-shadow: 0 3px 30px rgb(0 0 0 / 0.2);
  justify-content: center;
}

.navbar-content-wrapper {
  display: flex;
}

.navbar-content {
  height: 100%;
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-left: 3ch;
  padding-right: 3ch;
  font-size: 16.5px;
  margin-right: 1ch;
  color: black;
}

.navbar-content:hover {
  background-color: rgb(206, 205, 205);
}

.content {
  padding-top: 2.5rem;
  height: calc(100vh - 3.8rem - 2.5rem);
  display: flex;
  align-items: center;
  flex-direction: column;
}

.content-wrapper {
  margin-top: 1.5rem;
  width: 80vw;
  height: fit-content;
}

table, td, th {  
  border: 1px solid #ddd;
  text-align: left;
}

table {
  border-collapse: collapse;
  width: 100%;
  color: black;
}

th, td {
  padding: 15px;
}
</style>
</head>
<body>

  <div class="navbar">
    <div class="navbar-content-wrapper">
      <a href="/">
        <div class="navbar-content">
          <p>Home</p>
        </div>
      </a>
      <a href="/lab-4/add-note/">
        <div class="navbar-content">
          <p>Add Notes</p>
        </div>
      </a>
      <a href="/lab-4/note-list/">
        <div class="navbar-content">
          <p>Note Card</p>
        </div>
      </a>
      <a href="/lab-4/">
        <div class="active navbar-content">
          <p>Note Table</p>
        </div>
      </a>
    </div>
  </div>

  <div class="content">
    <h1>Note Table</h1>
    <div class="content-wrapper">
    <table>
        <tr>
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
        </tr>
        {% if notes %}
            {% for note in notes %}
                <tr>
                    <td>{{ note.note_to }}</td>
                    <td>{{ note.note_from }}</td>
                    <td>{{ note.title }}</td>
                    <td>{{ note.message }}</td>
                </tr>
            {% endfor %}
        {% endif %}
    </table>
  </div>
  </div>

</body>
</html>



